/*-----------------------
header
------------------------*/
header {
  background-color: rgba(255, 255, 255, 0.9);
  position: sticky;
  width: 100%;
  top: 0;
  left: 0;
  right: 0;
  z-index: 999;
}

.header_contents a {
  font-weight: 600;
  height: fit-content;
  line-height: normal;
  white-space: nowrap;
}

.header__inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: inherit;
  padding: 10px 0;
  width: 100%;
  max-width: 1000px;
  margin: auto;
}

.header__menu {
  width: 100%;
  text-align: center;
  background: var(--main-user);
  color: white;
}

.menu-list {
  display: inline-flex;
  height: 39px;
  align-items: center;
}

.menu-list li
{
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header__title {
  width: 102px;
}

.header__title img {
  display: block;
  width: 100%;
  height: auto;
}

.separation {
  font-size: 1.5rem;
  border-right: 1px solid #fff;
  margin: 4px 1.5rem;
}

.separation:first-of-type{
  margin: 4px 1.5rem 4px 0;
}

.separation:last-of-type{
  margin: 4px 0 4px 1.5rem;
}

/* ボタン */
.header__buttons {
  display: flex;
  margin-left: auto;
}

.header__buttons .p-header_company_btn,
.header__buttons .p-header_purchase_btn,
.header__buttons .p-header_shop_btn
{
  height: fit-content;
}

.p-header_company_btn {
  width: 281px;
  border: 2px solid #217217;
  border-radius: 50px;
  margin-right: 2rem;
  color: #217217;
}

.p-header_company_btn a {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 7px 13px 6px 17px;
  font-family: YuGothic, "Yu Gothic", sans-serif;
  font-weight: 700;
  font-size: 20px;
  line-height: 1;
}

.p-header_shop_btn {
    border: 2px solid var(--sub);
    border-radius: 40px;
    margin-right: 2rem;
    color: var(--sub);
}

.p-header_howto_btn {
    border: 2px solid var(--main-user);
    border-radius: 40px;
    margin-right: 2rem;
    color: var(--main-user);
}

.p-header_purchase_btn {
  background: #C60000;
  border-radius: 40px;
  color: #FFF23F;
  border: 2px solid #C60000;
}

.p-header_purchase_btn .c-arrow:after,
.p-header_company_btn .c-arrow:after,
.p-header_shop_btn .c-arrow:after
{
  font-size: 12px;
}

.c-border_btn.sp-company_btn,
.c-border_btn.sp-user_btn,
.c-base_btn.sp-purchase_btn {
  display: none;
}

/*-----------------------
ドロップダウン
------------------------*/

.drop-menu span{
font-size: 1.4rem;
  padding-top: 2px;
}
.drop-menu{
  position: relative;
  height: 100%;
}
.child_menu{
  transform-origin: top;
  opacity: 0;
  display: none;
  transition: .3s;
  background: white;
  position: absolute;
  top:3.8rem;
  left:-1.7rem;
  border: var(--main-user) 2px solid;
  width: 187px;
  padding:5px;
}
.child_menu.active{
  display: block;
  opacity: 1;
}
.child_menu li a{
  color: var(--main-user);
  font-size: 1.6rem;
}

.child_menu li {
    justify-content: center;
}
.child_menu li:hover {
  opacity: 0.7;
}

.drop-menu > a {
  pointer-events: none;
}

.child_menu li:first-of-type {
  border-bottom: 2px solid var(--main-user);
}

.child_menu li a{
  display: block;
}

/* ホバー時の2層目メニュー */
@media (min-width: 993px) {
  .menu-list > .drop-menu:hover > .child_menu {
    visibility: visible;
    display: block;
    opacity: 1;
    cursor: pointer;
  }
  .child_menu li {
    display: block;
    width: 100%;
    height: 100%;
  }
  .child_menu li:first-of-type a {
    padding-bottom: 0.5rem;
  }
  .child_menu li:last-of-type a {
    padding-top: 0.5rem;
  }
}

@media (max-width: 992px) {
  .child_menu{
    margin: auto;
    transition: unset;
    position: initial;
    visibility: visible;
    transform: none;
    border: none;
    padding:7px;
    background: unset;
    opacity: 1;
    display: block;
  }
  .drop-menu {
    height: auto;
  }
  .drop-menu {
    position: initial;
    background: rgba(114, 0, 121, 0.1);
    padding-top:1rem;
    border-radius: 3px;
  }

  .drop-menu span{
    font-size: 2.4rem;
  }

  .child_menu li {
    line-height: 3;
  }

  .child_menu li a {
      height: 100%;
      display: block;
      padding: 7px 0;
  }
}
/*-----------------------
ハンバーガー
------------------------*/
.header__hamburger {
  display: none;
  position: relative;
  cursor: pointer;
  width: 50px;
  height: 50px;
  border-radius: 5px;
  margin-left: 1rem;
}

.header__hamburger span {
  display: inline-block;
  transition: all 0.4s;
  position: absolute;
  left: 14px;
  height: 3px;
  border-radius: 2px;
  background: var(--main-user);
  width: 45%;
}

.header__hamburger span:nth-of-type(1) {
  top: 15px;
}

.header__hamburger span:nth-of-type(2) {
  top: 23px;
}

.header__hamburger span:nth-of-type(3) {
  top: 31px;
}

.header__hamburger.active span:nth-of-type(1) {
  top: 18px;
  left: 18px;
  transform: translateY(6px) rotate(-45deg);
  width: 30%;
}

.header__hamburger.active span:nth-of-type(2) {
  opacity: 0;
}

.header__hamburger.active span:nth-of-type(3) {
  top: 30px;
  left: 18px;
  transform: translateY(-6px) rotate(45deg);
  width: 30%;
}

.c-border_btn.sp-company_btn,
.c-border_btn.sp-user_btn,
.c-base_btn.sp-purchase_btn {
  display: none;
}

.header_contents .p-header_note {
  font-size: 1.3rem;
  margin-top: 1rem;
  width: fit-content;
  color: var(--link);
  display: block;
  border-bottom: 2px solid var(--link);
  display: inline;
}



.header_contents .p-header_note--sp {
  display: none;
}

@media screen and (max-width: 992px) {
  .header__inner {
    padding: 10px;
    z-index: 999;
  }
  .header__inner {
    background: #fff;
  }
  .pc-border_btn {
    display: none;
  }
  .p-header_company_btn.u-sp,
  .p-header_user_btn.u-sp,
  .p-header_purchase_btn.u-sp,
  .p-header_shop_btn.u-sp,
  .p-header_howto_btn.u-sp
  {
    display: block;
    width: 90%;
    margin: auto;
    max-width: 300px;
  }

  .sp-company_btn a {
    font-size: 2rem;
  
  }
  .header__hamburger {
    display: block;
  }

  #js-nav {
    display: none;
  }

  #js-nav.active {
    display: block;
    height: 100vh;
    position: relative;
    overflow: hidden;
  }

  .separation {
    display: none;
  }

  .header__menu {
    color: var(--main-user);
    background: #fff;
    height: calc(100dvh - 80px);
    padding-top: 5dvh;
  }

  .menu-list {
    display: block;
    width: 100%;
    margin: 0;
    height: 100%;
    overflow-y: auto;
  }

  .menu-list li li:not(.sp-company_btn),
  .menu-list li li:not(.sp-purchase_btn)
  {
    display: block;
    margin-bottom: 0;
  }

  .menu-list li:not(.sp-company_btn) a {
    font-size: 2.4rem;
  }

  .menu-list li li:not(.sp-company_btn) a,
  .menu-list li li:not(.sp-purchase_btn) a
  {
    font-size: 1.6rem;
  }

  .no_scroll {
    overflow: hidden;
  }

  .nav-items__item.sp-purchase_btn,
  .nav-items__item.sp-company_btn,
  .nav-items__item.sp-user_btn
  {
    width: 40%;
    min-width: 280px;
    margin: auto;
    text-align: center;
  }

  .header__inner {
    padding: 10px;
    z-index: 999;
  }
  .pc-border_btn,
  .pc-purchase_btn
  {
    display: none;
  }
  .sp-company_btn a,
  .sp-purchase_btn a
  {
    font-size: 2rem;
  }
  .menu-list li:not(.sp-company_btn),
  .menu-list li:not(.sp-purchase_btn)
  {
    display: block;
    margin-bottom: 24px;
  }

  .menu-list li.nav-items__item > .p-header_note {
    margin: 2rem auto 0;
    text-align: center;
    font-size: 1.8rem;
  }
}

@media screen and (max-width: 768px) {
  .header__title {
    width: 70px;
  }

  .header__buttons .p-header_company_btn {
    margin-bottom: 1rem;
    margin-right: 0;
  }

  .header__buttons .p-header_company_btn,
  .header__buttons .p-header_purchase_btn {
    width: 180px;
  }

  .header__buttons .p-header_company_btn a,
  .header__buttons .p-header_purchase_btn a {
    padding: 0.4rem 1.5rem;
  }

  .header_contents .p-header_note--pc{
    display: none;
  }
  
  .header_contents .p-header_note--sp{
    display: inline;
  }

}

/*-----------------------
footer
------------------------*/
.l-footer {
  background: var(--main-user);
}

.l-footer__banner {
  text-align: center;
  padding: 80px 0 20px;
}

.l-footer__banner a {
  display: inline-block;
}

.l-footer__banner img {
  max-width: 679px;
  width: 100%;
  height: auto;
}

.l-footer__logo {
  justify-content: center;
  align-items: center;
}

.l-footer__logo__cp
{
  width: auto;
  height: 150px;
}

.l-footer__logo__sakai {
  width: auto;
  height: 110px;
}

.l-footer__logo__cp img,
.l-footer__logo__sakai img
{
  height: 100%;
  width: auto;
}

.copyright {
  color: #fff;
  margin-top: 1.2rem;
  padding-bottom: 10px;
}

.l-footer.l-user #page-top {
  background: transparent;
}

.l-footer.l-user #page-top a {
  background-color: #0075B7;
  color: #fff;
  box-shadow: 0 3px 0 0 #004F7C;
}

/*-----------------------
アニメーション
------------------------*/
#js-nav.active{
    animation-name: fadein;
    animation-duration: 0.3s;
}
@keyframes fadein{
    from{
    opacity: 0;
    }
    to{
    opacity: 1;
    }
}

@media screen and (max-width: 600px) {
  .l-footer__banner {
    padding: 40px 20px 15px;
  }
  .l-footer__banner img {
    max-width: 400px;
  }
  .l-footer__logo__cp {
      height: 100px;
  }
  .l-footer__logo__sakai {
    height: 55px;
  }
}